.pricing-calculator__col {
	@mixin column-item 1, 1em;

	@media (--s) {
		@mixin column-item 2, 1em;
	}
}

.pricing-calculator__sub-title {
	margin-bottom: 1em;
}

.pricing-calculator__left-intro,
.pricing-calculator__right-intro {
	@mixin small-text;

	margin-top: 1em;
}

.pricing-calculator__qty {
	@mixin h2;

	font-weight: 700;
	font-family: var(--font-heading);
	width: 70px;
	margin: 0 1em;
}

.noUi-target.pricing-calculator__range {
	width: 100%;
	box-shadow: none;
}

.pricing-calculator__list {
	position: relative;
	margin-bottom: 1em;
	height: 45px;
}

.pricing-calculator__item {
	@mixin fade-out;

	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	transition: all 0.3s;

	&.is-active {
		@mixin fade-in;
	}
}

.pricing-calculator__price {
	position: relative;

	& .number {
		@mixin h2;

		color: var(--primary);
		font-weight: var(--font-bold);
		font-family: var(--font-heading);
	}

	& .duration {
		@mixin large-text;

		&::before {
			content: '/';
		}
	}
}

.pricing-calculator.is-content-alignment-center {
	& .pricing-calculator__inner {
		text-align: center;
	}

	& .noUi-target.pricing-calculator__range {
		width: 75%;
	}
}

.pricing-calculator.is-preset-1 {
	& .pricing-calculator__inner {
		padding: 3em;
		background: var(--white);
		box-shadow: 0 0 49px -10px rgba(0, 0, 0, 0.2);

		@media (--s) {
			flex: 1 1 auto;
		}
	}

	& .pricing-calculator__col {
		@media (--s) {
			display: flex;
			flex-direction: column;
		}
	}
}

.pricing-calculator.is-preset-2 {
	& .pricing-calculator__inner {
		background: var(--white);
		border: 1px solid var(--border);

		@media (--s) {
			display: flex;
			flex-direction: column;
			flex: 1 1 auto;
		}
	}

	& .pricing-calculator__range-slider {
		width: 100%;
	}

	& .pricing-calculator__content {
		padding: 1em;

		@media (--s) {
			display: flex;
			flex-direction: column;
			align-items: space-between;
			flex: 1 1 0;
		}
	}

	& .pricing-calculator__col {
		@media (--s) {
			display: flex;
			flex-direction: column;
		}
	}

	& .pricing-calculator__sub-title {
		margin-bottom: 0;
		padding: 0.5em;
		background: var(--dark);
		color: var(--white);
	}

	& .pricing-calculator__left-intro {
		@media (--s) {
			margin-top: auto;
		}
	}

	& .pricing-calculator__qty {
		@mixin h1;
	}
}

.pricing-calculator.is-preset-3 {
	& .default-section__container--main {
		@media (--s) {
			max-width: var(--m);
		}
	}

	& .pricing-calculator__grid {
		margin: 0;
		background: var(--white);
		border: 1px solid var(--border);
	}

	& .pricing-calculator__col {
		padding: 1em;

		&:nth-child(2) {
			border-top: 1px solid var(--border);

			@media (--s) {
				border-left: 1px solid var(--border);
				border-top: 0;
			}
		}
	}

	& .pricing-calculator__left-intro,
	& .pricing-calculator__right-intro {
		color: var(--dark);
		opacity: 0.85;
	}
}

.pricing-calculator__control {
	display: flex;
	justify-content: center;
	align-items: center;
}

.pricing-calculator__action {
	width: 24px;
	height: 24px;
	border: 2px solid var(--primary);
	display: inline-flex;
	justify-content: center;
	align-items: center;
	border-radius: 50%;
	transition: 0.4s;

	& input {
		opacity: 0;
		position: absolute;
	}

	& svg {
		width: 16px;
		stroke: var(--primary);
		transition: 0.4s;
	}

	&:hover {
		background-color: var(--primary);
		& svg {
			stroke: var(--white);
		}
	}
}
